Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### acos()

Examples

    float a = PI;
    float c = cos(a);
    float ac = acos(c);
    // Prints "3.1415927 : -1.0 : 3.1415927"
    println(a + " : " + c + " : " +  ac);

    float a = PI + PI/4.0;
    float c = cos(a);
    float ac = acos(c);
    // Prints "3.926991 : -0.70710665 : 2.3561943"
    println(a + " : " + c + " : " +  ac);

Description | The inverse of cos(), returns the arc cosine of a value. This function expects the values in the range of -1 to 1 and values are returned in the range 0 to PI (3.1415927).

Syntax

    acos(value)

Parameters

value | float: the value whose arc cosine is to be returned

Returns | float
Usage | Web & Application
Related | cos() asin() atan()

Updated on August 30, 2010 04:29:39pm EDT